Bug 830565 - [abrt] exaile-0.3.2.2-3.fc17: properties.py:766:set_value:ValueError: could not convert string to float: www.v3songs.com:: [AE] V3 collections [AE]
Summary: [abrt] exaile-0.3.2.2-3.fc17: properties.py:766:set_value:ValueError: could n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bc2038cab3e915f722c6cefc10e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-10 17:06 UTC by Rudra
Modified: 2012-12-20 15:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:57:01 UTC


Attachments (Terms of Use)

Description Rudra 2012-06-10 17:06:58 UTC
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui /home/rudra/Music/AAA_MODA_BANALLI.MP3
comment:        I went to Tools and then clicked on Track Properties which then gave me this error.
event_log:      2012-06-10-22:36:31> Smolt profile successfully saved
executable:     /usr/share/exaile/exaile.py
kernel:         3.4.0-1.fc17.x86_64
time:           Sun 10 Jun 2012 10:35:13 PM IST
uid:            1000
username:       rudra

backtrace:
:properties.py:766:set_value:ValueError: could not convert string to float: www.v3songs.com:: [AE] V3 collections [AE]
:
:Traceback (most recent call last):
:  File "/usr/share/exaile/xlgui/__init__.py", line 388, in on_track_properties
:    if not pl.properties_dialog():
:  File "/usr/share/exaile/xlgui/playlist.py", line 157, in properties_dialog
:    tracks, selected)
:  File "/usr/share/exaile/xlgui/properties.py", line 129, in __init__
:    self._build_from_track(self.current)
:  File "/usr/share/exaile/xlgui/properties.py", line 258, in _build_from_track
:    self.rows.append(TagRow(self, self.tags_table, f, tag, entry, i))
:  File "/usr/share/exaile/xlgui/properties.py", line 504, in __init__
:    self.field.set_value(value, all_vals)
:  File "/usr/share/exaile/xlgui/properties.py", line 766, in set_value
:    self.field[x].set_value(float(vals[x]))
:ValueError: could not convert string to float: www.v3songs.com:: [AE] V3 collections [AE]
:
:Local variables in innermost frame:
:val: u'www.v3songs.com:: \xae V3 collections \xae/0'
:self: <TagDblNumField object at 0x2a82230 (GtkHBox at 0x2979af0)>
:doupdate: True
:vals: [u'www.v3songs.com:: \xae V3 collections \xae', u'0']
:x: 0
:all_val: ['/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'blr/0', '/0', '/0', u'01/01', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'01/01', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'123/0', '/0', u'123/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'123/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'123/0', '/0', u'123/0', '/0', '/0', '/0', u'M49049 - MP3/0', u'01/01', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'123/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', u'123/0', u'123/0', u'123/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSm/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', u'KSM/0', '/0', '/0', '/0', u'sm/0', '/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', '/0', '/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', u'www.v3songs.com:: \xae V3 collections \xae/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0', '/0']

smolt_data:
:
:
:General
:=================================
:UUID: 8d57ce7c-2023-4322-9460-7fcbf71a8fae
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4789.16
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2401
:System Memory: 3863
:System Swap: 2129
:Vendor: Dell Inc.
:System: Inspiron N5050 Not Specified
:Form factor: Portable
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4136:1284) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(5348:18215:4136:18) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:278:4136:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:4136:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4136:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4136:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33078:4136:1284) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:7171:4136:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1284) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda10 / ext4 4096 4096 24381391 20418651 20174529 6051552 5619772 5619772
:

Comment 1 Fedora Update System 2012-09-24 23:27:06 UTC
exaile-3.3.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc17

Comment 2 Fedora Update System 2012-09-24 23:27:48 UTC
exaile-3.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/exaile-3.3.0-1.fc18

Comment 3 Fedora Update System 2012-09-25 06:04:54 UTC
Package exaile-3.3.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-3.3.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14740/exaile-3.3.0-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-12-20 15:57:03 UTC
exaile-3.3.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.